Deprecation of Bugzilla personal tags
Closed, ResolvedPublic

Description

From the description at T259: Bugzilla to Maniphest import script (tracking):

Investigate if personal tags can be turned into Phabricator "flags" but lowest priority. If not, I could warn users via email that their Tags data will get lost and that they should save buglist.cgi or such.

<snip>

Save your Wikimedia Bugzilla personal Tags

Hi,

we are contacting you because you have used Wikimedia Bugzilla's "Tags" functionality.

Wikimedia will soon migrate from Bugzilla to Phabricator. While most Bugzilla data will be converted, Phabricator does not offer any functionality similar to Bugzilla's personal "Tags". Hence your data in "Tags" will get lost soon.

You can find all Wikimedia Bugzilla tickets that you have tagged by visiting this URL:

https://bugzilla.wikimedia.org/buglist.cgi?f1=tag&o1=regexp&query_format=advanced&v1=.%2B

Learn more about the Bugzilla migration to Phabricator at
https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla

Questions? Just ask at https://www.mediawiki.org/wiki/Talk:Phabricator/Help

Andre Klapper (Wikimedia Bugwrangler)
</snip>

Qgil created this task.Sep 27 2014, 10:41 AM
Qgil added a project: Bugzilla-Migration.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil triaged this task as "Normal" priority.Oct 8 2014, 10:09 PM

According to https://secure.phabricator.com/book/phabricator/article/herald/ , "Mark with flag: Flag the object for later review. This action is only available on personal rules." As we've disabled Herald for the time being (T493) this is not an option. Hence we will drop personal tags and not try to migrate them somehow.

I'm not sure what the exact focus of this task is, but we should warn affected users to save their tags data. @Qgil: Does that require this ticket or could that be covered by T188?

Users can search for their tagged tickets via Bugzilla's Custom Search: ‹ Tags | match regular expression | .+// ›

Qgil added a comment.Oct 9 2014, 8:15 AM

In my opinion, we can choose this task as soon as the email mentioned in
the description is sent to the affected users. Is this possible and simple?

I've filed https://rt.wikimedia.org/Ticket/Display.html?id=8628 to get the email addresses of Bugzilla users who have used personal tags. SQL Query:

SELECT profiles.login_name FROM tag JOIN profiles ON tag.user_id = profiles.userid;

Aklapper claimed this task.Oct 10 2014, 6:55 PM
Dzahn added a subscriber: Dzahn.Oct 10 2014, 7:14 PM

Hi andre__,

that query returned 153 rows but included quite some duplicates, so i added a "DISTINCT" to filter them out and these 66 are left then:

mysql:root@localhost [bugzilla]> SELECT DISTINCT profiles.login_name FROM tag JOIN profiles ON tag.user_id = profiles.userid;
+------------------------------------+
Hide quoted text

login_name

..

data pasted on the RT ticket, wasn't sure if i should paste the email addresses here.

  • Daniel

Thanks to mutante I got the email addresses of those 66 affected Bugzilla users having set 153 tags.
Email to send out - something like this? Feel free to change/improve/clarify/dramatize:

<snip>

Save your personal "Tags" in Wikimedia Bugzilla

Hi,

we are contacting you because you have used Wikimedia Bugzilla's "Tags" functionality.

Wikimedia will soon migrate from Bugzilla to Phabricator.
While most Bugzilla data will be converted, Phabricator does not offer any functionality similar to Bugzilla's personal "Tags".
Hence your data in "Tags" will get lost soon.

You can find all Wikimedia Bugzilla tickets that you have tagged by visiting this URL:

https://bugzilla.wikimedia.org/buglist.cgi?f1=tag&o1=regexp&query_format=advanced&v1=.%2B

Cheers,
andre
</snip>

Qgil edited the task description. (Show Details)Oct 10 2014, 7:53 PM

I saved the text in the editable task description, just changing a couple of emails.

That email deserves a more official signature, even if it is fair to assume that whoever knows what are personal "Tags" also knows who is andre. :)

Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Oct 10 2014, 9:46 PM
Aklapper edited the task description. (Show Details)Oct 13 2014, 7:29 PM
Qgil awarded a token.Oct 13 2014, 8:41 PM
Aklapper closed this task as "Resolved".Oct 20 2014, 12:23 PM

I have sent a warning email (with the content of the initial task description here) to those 66 Bugzilla users listed in https://rt.wikimedia.org/Ticket/Display.html?id=8628 which have set personal Tags in Bugzilla.

Obviously the mass-emailing worked as I already got the first "Delivery Status Notification Failure" from GMail.

Closing as resolved.